/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import domain.BasketItem;
import domain.Product;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;

/**
 *
 * @author hardebolle
 */
@ManagedBean(name = "basketController")
@SessionScoped
public class BasketController implements Serializable{

    private List<BasketItem> items;
    
    public BasketController(){
        this.items = new ArrayList<BasketItem>();
    }
    
    public List<BasketItem> getItemList(){
        return this.items;
    }    
    
    public String addProductToBasket(Product p){
        BasketItem item = new BasketItem();
        item.setProduct(p);
        this.items.add(item);
        return "basket-view";
    }
    
}
