/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import domain.Product;
import java.io.Serializable;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.bean.SessionScoped;
import javax.validation.constraints.Size;


/**
 *
 * @author hardebolle
 */
@ManagedBean(name="productController")
@RequestScoped
public class ProductController implements Serializable {
    
    private Product product;
    
    public ProductController(){
        this.product = new Product();
    }
        
    @Size(min=2,max=50)
    public String getProductName() {
        return this.product.getName();
    }

    public void setProductName(String n) {
        this.product.setName(n);
    }
    
    public Double getProductPrice(){
        return this.product.getPrice();
    }
    
    public void setProductPrice(Double p){
        this.product.setPrice(p);
    }
    
    public String viewProduct(Product item){
        this.product = item;
        return "product-view";
    }

}
